CentOS 8:fribidi (CESA-2022: 7514)

high Nessus Plugin ID 167158

Synopsis

遠端 CentOS 主機缺少一個或多個安全性更新。

描述

遠端 CentOS Linux 8 主機上安裝的多個套件受到 CESA-2022: 7514 公告中提及的多個弱點影響。

- fribidi:堆疊型緩衝區溢位 (CVE-2022-25308)

- fribidi:fribidi_cap_rtl_to_unicode 中的堆積型緩衝區溢位 (CVE-2022-25309)

- fribidi:fribidi_remove_bidi_marks 中的 SEGV (CVE-2022-25310)

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

更新受影響的 fribidi 和/或 fribidi-devel 套件。

另請參閱

https://access.redhat.com/errata/RHSA-2022:7514

Plugin 詳細資訊

嚴重性: High

ID: 167158

檔案名稱: centos8_RHSA-2022-7514.nasl

版本: 1.2

類型: local

代理程式: unix

已發布: 2022/11/9

已更新: 2022/11/9

支持的傳感器: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure

風險資訊

VPR

風險因素: Medium

分數: 6.7

CVSS v2

風險因素: High

基本分數: 7.5

時間分數: 5.5

媒介: AV:N/AC:L/Au:N/C:P/I:P/A:P

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2022-25310

CVSS v3

風險因素: High

基本分數: 7.8

時間分數: 6.8

媒介: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

時間媒介: E:U/RL:O/RC:C

CVSS 評分資料來源: CVE-2022-25308

弱點資訊

CPE: cpe:/o:centos:centos:8-stream, p-cpe:/a:centos:centos:fribidi, p-cpe:/a:centos:centos:fribidi-devel

必要的 KB 項目: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list, Host/cpu

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2022/11/8

弱點發布日期: 2022/4/1

參考資訊

CVE: CVE-2022-25308, CVE-2022-25309, CVE-2022-25310

RHSA: 2022:7514